# Note: plugindir is set in configure

##############################################################################
# TODO: change libgstplugin.la to something else, e.g. libmysomething.la     #
##############################################################################
plugin_LTLIBRARIES = libgstqcvideodec.la

##############################################################################
# TODO: for the next set of variables, name the prefix if you named the .la, #
#  e.g. libmysomething.la => libmysomething_la_SOURCES                       #
#                            libmysomething_la_CFLAGS                        #
#                            libmysomething_la_LIBADD                        #
#                            libmysomething_la_LDFLAGS                       #
##############################################################################

# sources used to compile this plug-in
libgstqcvideodec_la_SOURCES = gstqcvideodec.c gstqcvideobufpool.c

# compiler and linker flags used to compile this plugin, set in configure.ac
libgstqcvideodec_la_CFLAGS = $(GST_CFLAGS)
libgstqcvideodec_la_LIBADD = \
			    -ldrm \
			    -lgstallocators-1.0 \
			    -lgstvideo-1.0 \
                            $(GST_LIBS) 
libgstqcvideodec_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
libgstqcvideodec_la_LIBTOOLFLAGS = --tag=disable-static

# headers we need but don't want installed
noinst_HEADERS = gstqcvideodec.h gstqcvideobufpool.h
